> For the complete documentation index, see [llms.txt](https://docs.ospree.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ospree.io/developers/blockchain-analytics/retrieve-address.md).

# Retrieve Address

<mark style="color:green;">`GET`</mark> `/api/v2/analytics/chains/{chain}/addresses/{address}`

Returns an wallet address result for the requesting address hash.

Path Parameters

| Name      | Type   | Description                                                                                                    | Required |
| --------- | ------ | -------------------------------------------------------------------------------------------------------------- | -------- |
| `chain`   | string | Blockchain network name. Example: <mark style="color:orange;">`bitcoin`</mark>                                 | True     |
| `address` | string | Unique blockchain identifier. Example: <mark style="color:orange;">`1JjYpRXfPntVEJqAjxsYmvFjjJBdJyaJ2k`</mark> | True     |

Sample Request

{% tabs %}
{% tab title="REQUEST" %}

```powershell
curl -X POST https://sandbox.ospree.io/api/v2/analytics/chains/ethereum/addresses/0xfec8a60023265364d066a1212fde3930f6ae8da7

-h 'Content-Type: application/json' \
-h 'Accept: application/json' \
-h 'Authorization: ••••••' \
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="RESPONSE" %}

```json
{
  "status": "success",
  "data": {
    "address": "0xfec8a60023265364d066a1212fde3930f6ae8da7",
    "chain": "ethereum",
    "symbol": "ETH",
    "is_self_hosted": true,
    "financial_data": {
      "balance": 325836859470708000,
      "balance_usd": 422.017383557692
    },
    "risk_data": [
      {
        "provider_name": "RDBIG",
        "risk_ratio": 100,
        "risk_descriptors": [
          "terrorism",
          "exchange_client",
          "binance_client_deposit",
          "binance_client_withdrawal",
          "binance_deposit_address",
          "Sanctioned OFAC",
          "sent_to_binance"
        ],
        "vasp_name_legal": "Binance,Suex.Io",
        "vasp_name_business": "binance,suex.io",
        "vasp_website": "https://www.binance.com,https://suex.io/",
        "vasp_category": "exchange,exchange",
        "created": "2024-01-02T21:46:03.773244+00:00"
      }
    ],
    "created": "2024-01-12T04:56:42.896740"
  },
  "message": "Null"
}
```

{% endtab %}
{% endtabs %}
